BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 04-01-2009, 10:34 AM   #1 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2009
Model: 8330
PIN: N/A
Carrier: VZW
Posts: 122
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default App World

Please Login to Remove!

Thoughts from the BES Admins on APP World?

I've been playing around with it for a little bit now and thinks it's pretty slick!
Offline  
Old 04-01-2009, 12:40 PM   #2 (permalink)
Talking BlackBerry Encyclopedia
 
RadHaz75's Avatar
 
Join Date: Feb 2006
Location: Philadelphia
Model: 9650
OS: 6.0.0.524
PIN: BALL
Carrier: Verizon Wireless
Posts: 456
Post Thanks: 2
Thanked 4 Times in 4 Posts
Default

is there a way to filter by price (read: FREE)?

that is my biggest gripe with it thus far.
__________________
Two months ago, I saw a provocative movie on cable TV. It was called The Net, with that girl from the bus.
Offline  
Old 04-01-2009, 12:48 PM   #3 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2009
Model: 8330
PIN: N/A
Carrier: VZW
Posts: 122
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Not that I can figure out.

I searched for the word "free", and most of the Apps in the list were free.
Offline  
Old 04-01-2009, 01:43 PM   #4 (permalink)
Talking BlackBerry Encyclopedia
 
RadHaz75's Avatar
 
Join Date: Feb 2006
Location: Philadelphia
Model: 9650
OS: 6.0.0.524
PIN: BALL
Carrier: Verizon Wireless
Posts: 456
Post Thanks: 2
Thanked 4 Times in 4 Posts
Default

ya same. is it supposed to be like the apple store where people can create stuff and then get paid? or is it more just existing vendors?
__________________
Two months ago, I saw a provocative movie on cable TV. It was called The Net, with that girl from the bus.
Offline  
Old 04-01-2009, 01:45 PM   #5 (permalink)
Thumbs Must Hurt
 
Join Date: Mar 2009
Model: 8330
PIN: N/A
Carrier: VZW
Posts: 122
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

From what I've read, they are going for same thing as the apple store, people/developers creating APPs and getting paid for it.
Offline  
Old 04-01-2009, 01:49 PM   #6 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Is the "Disallow Application Center" used to disable the app world?
__________________
Your lack of planning is not my emergency.
Offline  
Old 04-04-2009, 10:52 AM   #7 (permalink)
BlackBerryForums.com Super Moderator
 
SteveO86's Avatar
 
Join Date: Sep 2007
Location: Florida
Model: 9650
OS: 6.0.0.280
PIN: I heard it drop!
Carrier: VZW BIS
Posts: 6,534
Post Thanks: 0
Thanked 4 Times in 1 Post
Default

BlackBerry App World IT Policy Import:

View Document

And the IT Policy Rules

View Document
__________________
8830 -> 8330 -> 9550 -> 9650
Just think about how far BlackBerries have come from then till now... And what else is coming.

Follow me on Twitter
Offline  
Old 07-28-2009, 02:23 PM   #8 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Any clue if I still need to import these definitions into BES 5.0 or is this definced somewhere else?
Offline  
Old 07-28-2009, 02:32 PM   #9 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

In BES 5:

IT Policy > Security > Disable BlackBerry App World = Yes/No
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 07-28-2009, 03:04 PM   #10 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by penguin3107 View Post
In BES 5:

IT Policy > Security > Disable BlackBerry App World = Yes/No
I don't have this setting in my BES 5.0 install.

My upgrade method is to install 5.0 on new server & create new DB- then use the transport tool.

On my 5.0 BES w/ new DB there is no Disable Blackberry App world in Security section.

Did you upgrade your old DB that had the definitions or reimport them at some point?
Offline  
Old 07-28-2009, 03:24 PM   #11 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I've checked through all the IT policy sections on a fresh 5.0 install and do NOT see the Disable App world Setting.

I see Disable Application Center setting in Application Center but I think this is for MDSS stuff
Offline  
Old 09-18-2009, 12:14 PM   #12 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

bump....

I do not see a disable app world option in BES 5 > Security IT Policy section

Do I have to import the Policy rules even though this is bES 5.0?
Offline  
Old 09-18-2009, 05:31 PM   #13 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

Quote:
Originally Posted by bulletooth View Post
bump....

I do not see a disable app world option in BES 5 > Security IT Policy section

Do I have to import the Policy rules even though this is bES 5.0?
It's there in the fresh install of BES 5 as well as an upgrade from BES 4.1.
No additional import is necessary.

Make sure your policy is in EDIT mode. (Screenshot 1)
Under security tab, it's the last policy setting in the list. Scroll all the way down. (Screenshot 2)
Attached Images
File Type: gif edt_policy.gif (14.6 KB, 6 views)
File Type: gif security.gif (12.7 KB, 7 views)
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 09-21-2009, 10:22 AM   #14 (permalink)
Thumbs Must Hurt
 
Join Date: Aug 2009
Model: 9000
PIN: N/A
Carrier: crApT&T
Posts: 63
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

hey penguin, I also don't have that option in the security section of my it policies on all 3 of my 5.0 installs. All though, i have used the same installation files for all 3 installs so i didnt expect one to have it and not another. Any thoughts why?
Offline  
Old 09-21-2009, 11:01 AM   #15 (permalink)
BlackBerry God
 
penguin3107's Avatar
 
Join Date: Jan 2005
Model: iOS 5
Carrier: VZW
Posts: 11,701
Post Thanks: 1
Thanked 237 Times in 219 Posts
Default

Quote:
Originally Posted by MarshBklyn View Post
hey penguin, I also don't have that option in the security section of my it policies on all 3 of my 5.0 installs. All though, i have used the same installation files for all 3 installs so i didnt expect one to have it and not another. Any thoughts why?
No idea why.
I'd put in a call to T-Support.
__________________
BCSA
BES 5.0.3 MR4 :-: Exchange 2007 SP3 RU3
http://port3101.org
Offline  
Old 09-21-2009, 12:52 PM   #16 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Penguin,

Did you update a db that contained the IT Policy definitions from a 41 install?

Even on a fresh 50 install, pointing to an existing DB or restoring a db from backup would have the app world policy stuff already.

New 50 install with new db does NOT have that policy.

Placing a call something this afternoon.
Offline  
Old 09-21-2009, 01:25 PM   #17 (permalink)
Thumbs Must Hurt
 
Join Date: Aug 2009
Model: 9000
PIN: N/A
Carrier: crApT&T
Posts: 63
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

okay seems i opened a can of worms on this one. did some more investigating on this issue. I can confirm is it NOT there on a freshly created 5.0 database. There is a KB article on how to import it here:
View Document

Anyway, I did the method 2 for the BES version 4.1 or later (still nothing specific stating 5.0) and I get this output:

C:\temp\ITPolicyPackAppWorld>loadbesmetadata -i itpolicytemplateappworld.xml
Reading input file 'itpolicytemplateappworld.xml'. Please wait...
Parsing ITPolicy XML document for Default language data.
ERROR: Database version unavailable or unsupported by this tool. Aborting.

this is a remote sql2005. certainly no problems with the database so as yoda would say "a very useless error message this is."

Bulletooth, let us know what t-support says. thanks.
Offline  
Old 09-21-2009, 02:36 PM   #18 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Here is the fix:

In the BAS, Select "Manage IT policy rules"

Import the .xml there.

I kept trying this under "Manage IT Policies"

DUH!

Even the guys at RIM couldn't figure this out.

It's still being entered as a feature request b/c this should be there already. It shouldn't be something that has to be imported into NEW software....



*******IGNORE BELOW*********
RIM support acknowledged that the block appworld policy definition is NOT part of a 5.0 fresh install.

No solution as of now- my support rep. is now creating a feature request ticket for this to be added.

Workaround:

1. settle with the block third party app rule to block users from downloading app world.

2. create a software config control policy to allow what I need and block everything else.

Last edited by bulletooth : 09-21-2009 at 02:48 PM.
Offline  
Old 09-21-2009, 03:17 PM   #19 (permalink)
Thumbs Must Hurt
 
Join Date: Aug 2009
Model: 9000
PIN: N/A
Carrier: crApT&T
Posts: 63
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by bulletooth View Post
Here is the fix:

In the BAS, Select "Manage IT policy rules"

Import the .xml there.
Worked like a charm!
In addition to future feature request, they should have a KB article for this specifically for 5.0 instead of the generic "4.1 or later..".
Offline  
Old 09-21-2009, 03:54 PM   #20 (permalink)
Thumbs Must Hurt
 
Join Date: Dec 2007
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 120
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by MarshBklyn View Post
Worked like a charm!
In addition to future feature request, they should have a KB article for this specifically for 5.0 instead of the generic "4.1 or later..".
I concur- there are too many differences for the generic 4.1 and later statement. That works in terms of speaking on compatibility but for support doumentation, they really do need a 5.0 section for most of the issues.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.